summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-26 12:06:29 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:52 -0500
commitd634966f207ae92e79f42603a91fe509e269c5df (patch)
tree0e57cb01d118c62c9af20d99efd5a0dad7e4d0b5 /source4
parenta6853cf5c6ed05bbce172da69497fa1501971d57 (diff)
downloadsamba-d634966f207ae92e79f42603a91fe509e269c5df.tar.gz
samba-d634966f207ae92e79f42603a91fe509e269c5df.tar.bz2
samba-d634966f207ae92e79f42603a91fe509e269c5df.zip
r7933: darn, forgot to add this
(This used to be commit 773f7afb7a99ae1f6df45dcf52cc358b52c0ba22)
Diffstat (limited to 'source4')
-rwxr-xr-xsource4/script/tests/test_quick.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/source4/script/tests/test_quick.sh b/source4/script/tests/test_quick.sh
new file mode 100755
index 0000000000..d430492002
--- /dev/null
+++ b/source4/script/tests/test_quick.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+# run a quick set of filesystem tests
+
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_quick.sh UNC USERNAME PASSWORD <first> <smbtorture args>
+EOF
+exit 1;
+fi
+
+unc="$1"
+username="$2"
+password="$3"
+start="$4"
+shift 4
+ADDARGS="$*"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+tests="BASE-UNLINK BASE-ATTR"
+tests="$tests BASE-DIR2 BASE-TCON BASE-OPEN BASE-DELETE"
+tests="$tests BASE-CHKPATH RAW-QFSINFO RAW-QFILEINFO RAW-SFILEINFO"
+tests="$tests RAW-LOCK RAW-MKDIR RAW-SEEK RAW-OPEN RAW-WRITE"
+tests="$tests RAW-UNLINK RAW-READ RAW-CLOSE RAW-IOCTL RAW-RENAME"
+tests="$tests RAW-EAS RAW-STREAMS RAW-ACLS"
+
+failed=0
+for t in $tests; do
+ if [ ! -z "$start" -a "$start" != $t ]; then
+ continue;
+ fi
+ start=""
+ name="$t"
+ testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+done
+
+testok $0 $failed
+sleep 10000